Bug 116278 - Text Editor Cut and Paste not working using Netscape 7.1
Text Editor Cut and Paste not working using Netscape 7.1
Status: CLOSED NOTABUG
Product: Red Hat Enterprise CMS
Classification: Retired
Component: ui (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Scott Seago
Daniel Berrange
http://youth.aplaws.org.uk/ccm/conten...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-19 12:05 EST by James Kearns
Modified: 2007-04-18 13:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-09 10:27:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Kearns 2004-02-19 12:05:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
Cut and Paste seems to be disabled.
I get a message directing me to:
http://mozilla.org/editor/midasdemo/securityprefs.html
Following the instructions on this page does not solve problem for me.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Log in using Netscape
2. Create item.
3. Edit Body Text.
4. Attempt to paste text into editor.
    

Actual Results:  [JavaScript Aplication] Pop-up Message appears:
? "Unprivileged scripts cannot access Cut/Copy/Paste programatically 
for security reasons. Click OK to see a technical note at mozilla.org 
which shows how to allow a script to access the clipboard."
OK | Cancel

Expected Results:  Text pastes normally as it does using 
InternetExplorer 6.0

Additional info:
Tried created the user.js file but problem remains
Comment 1 Daniel Berrange 2004-02-25 06:31:33 EST
I've reproduced this with Mozilla 1.4 & tried various options to
enable cut & paste, to no avail.
Comment 2 Scott Seago 2004-02-25 17:20:50 EST
Actually, this instructions in securityprefs.html are mostly right, 
but there are a couple of issues, at least with netscape 7.1 on 
Windows 2000:

1) user.js should go in the following directory: 
   "C:\Documents and Settings\user_name\Application 
Data\Mozilla\Profiles\profilename\xxxxxxxx.slt" (user_name is the 
logged-in user name, xxxx is a random string -- this directory will 
already exist)
   Note that application data is actually a hidden folder, so you may 
have to type it in explicitly to find the folder. On my windows 
machine, the actual path to user.js is:
   "C:\Documents and Settings\Administrator\Application 
Data\Mozilla\Profiles\default\qapgsabh.slt\user.js"
2)  the 4 user_pref lines can be pasted in mostly as-is, but of 
course you need to change "www.mozilla.org" in the following line to 
the particular site that you're trying to access:

user_pref
("capability.policy.allowclipboard.sites", "http://www.mozilla.org");

If you want to allow cut and paste on all sites, you can just add the 
following two lines (instead of the four lines suggested):

user_pref("capability.policy.default.Clipboard.cutcopy", "allAccess");
user_pref("capability.policy.default.Clipboard.paste", "allAccess");

If you want  to make a global change to allow cut and paste for all 
sites (and all users on the machine), you can edit the following two 
lines in "C:\Program Files\Netscape\Netscape\defaults\pref\all.js":
pref("capability.policy.default.Clipboard.cutcopy", "noAccess");
pref("capability.policy.default.Clipboard.paste", "noAccess");
from noAccess to allAccess.

Comment 3 James Kearns 2004-03-03 11:11:24 EST
Thanks Scott, I used your global change information.
Now works for me using netscape 7.1 on Windows 2000.

Passed retest at Camden.

Note You need to log in before you can comment on or make changes to this bug.